Account Validation
Create a Contact
Create a Contact via API.
POST
Available in🇮🇳 India🇸🇬 Singapore🇺🇸 United States
Use this endpoint to create a new contact.
- A new contact is created if any combination of the following details is unique:
name,email,contact,typeandreference_id. - If all the above details match the details of an existing contact, the API returns details of the existing contact.
Request Parameters
string
required
The contact’s name. This field is case-sensitive. A minimum of 3 characters and a maximum of 50 characters are allowed. Name cannot end with a special character, except
.. Supported characters: a-z, A-Z, 0-9, space, ’ , - , _ , / , ( , ) and , .. For example, Gaurav Kumar.string
The contact’s email address. For example,
gaurav.kumar@example.com.string
The contact’s phone number. For example,
9000090000.string
Maximum 40 characters. Classification for the contact being created. For example,
Additional classifications can be created via the Dashboard and then used in APIs. It is not possible to create new classifications via API.
employee. The following classifications are available by default:vendorcustomeremployeeself
Additional classifications can be created via the Dashboard and then used in APIs. It is not possible to create new classifications via API.
string
Maximum 40 characters. A user-entered reference for the contact. For example,
Acme Contact ID 12345.object
Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example,
"note_key": "Beam me up Scotty”.Response Parameters
string
The unique identifier linked to the contact. For example,
cont_00000000000001.string
The entity being created. Here, it is
contact.string
The contact’s name. For example,
Gaurav Kumar.string
The contact’s phone number. For example,
9000090000.string
The contact’s email address. For example,
gaurav.kumar@example.com.string
A classification for the contact being created. For example,
employee.string
A user-entered reference for the contact. For example,
Acme Contact ID 12345.string
This value is returned if the contact was created as part of a bulk upload. For example,
batch_00000000000001.boolean
Possible values:
true(default) : activefalse: inactive
object
Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example,
"note_key": "Beam me up Scotty”.integer
Timestamp, in Unix, when the contact was created. For example,
1545320320.